Page MenuHomePhabricator

Introduce WatchedItemStore
Closed, ResolvedPublic13 Story Points

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 24 2016, 1:43 PM
Tobi_WMDE_SW triaged this task as High priority.Feb 24 2016, 2:15 PM
Addshore updated the task description. (Show Details)Feb 24 2016, 3:04 PM

Change 267259 had a related patch set uploaded (by Addshore):
Move WatchedItem logic to WatchedItemStore

https://gerrit.wikimedia.org/r/267259

Tobi_WMDE_SW set the point value for this task to 13.Mar 2 2016, 1:37 PM

Change 267259 merged by jenkins-bot:
Move WatchedItem logic to WatchedItemStore

https://gerrit.wikimedia.org/r/267259

Addshore updated the task description. (Show Details)Mar 9 2016, 9:28 AM

Change 266572 had a related patch set uploaded (by Addshore):
Move counting of watchers to WatchedItemStore

https://gerrit.wikimedia.org/r/266572

Addshore updated the task description. (Show Details)Mar 9 2016, 9:32 AM

Change 268650 had a related patch set uploaded (by Addshore):
Move countVisitingWatchers to WatchedItemStore

https://gerrit.wikimedia.org/r/268650

Once the following 2 patches are merged InfoAction will be done:

This will also probably be the most untangled ApiQueryInfo can be at this stage..

Change 276441 had a related patch set uploaded (by Addshore):
Add countUnreadNotifications to WatchedItemStore

https://gerrit.wikimedia.org/r/276441

Again, looking at:

  • ApiQueryWatchlist
  • ApiQueryWatchlistRaw

These look far to tangled to try and factor the watchlist table logic out, so they will probably not be tackled.

Refactoring other parts of the code to make use of WatchedItemStore is not tracked in T129478.

Tobi_WMDE_SW updated the task description. (Show Details)Mar 10 2016, 3:01 PM
Tobi_WMDE_SW moved this task from Doing to Done on the TCB-Team-Sprint-2016-03-02 board.

Refactoring other parts of the code to make use of WatchedItemStore is not tracked in T129478.

*now

Addshore closed this task as Resolved.Mar 10 2016, 3:08 PM

Marking as resolved as this has indeed been introduced!

thx @Ricordisamoa, we'll update commit messages

thx @Ricordisamoa, we'll update commit messages

Yup, Will do!

Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Mar 17 2016, 2:01 PM